﻿.elementor-image-carousel-wrapper {
    --gap: 10px;
    --item-width: 300px;
    --item-height: 300px;
    --auto-delay: 5;
    --transition-speed: 0.6;
    margin: 80px auto;
    overflow: hidden;
    position: relative;

    width: min(var(--carousel-width, 100%), 100%);
}

.carousel-track {
    display: flex;
    gap: var(--gap);
    cursor: grab;
    will-change: transform;
}

.carousel-item {
    flex-shrink: 0;
    width: var(--item-width);
    height: var(--item-height);
    border-radius: 16px;
    overflow: hidden;
    position: relative;
    background: #ddd;
}

    .carousel-item img {
        width: 100%;
        height: 100%;
        object-fit: cover;
    }

.carousel-video-cover {
    width: 100%;
    height: 100%;
    position: relative;
    cursor: pointer;
}

.carousel-play-btn {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    background: rgba(0,0,0,0.2);
    padding: 7px;
    border-radius: 15px;
}

    .carousel-play-btn svg {
        width: 57px;
        height: 57px;
        filter: hue-rotate(140deg) saturate(257%);
    }

/* ARROWS */
.carousel-nav {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    width: var(--arrow-size);
    height: var(--arrow-size);
    background: black;
    color: white;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    z-index: 10;
    user-select: none;
}

.carousel-prev {
    left: -70px;
}

.carousel-next {
    right: -70px;
}



@media (max-width: 1400px) {

    .elementor-image-carousel-wrapper {
        transform-origin: top center;
        transform: scale( min(1, calc(250vw / var(--carousel-width))) );
    }
}